require 'colorized_string'

class Hola
  # Say hi to the world!
  #
  # Example:
  #   >> Hola.hi("spanish")
  #   => hola mundo
  #
  # @param [String] language Translation language
  # @return [String]
  def self.hi(language = "english")
    translator = Translator.new(language)
    translator.hi
  end

  # Lo mismo que hi pero en color rojo.
  #
  # @param [String] language Translation language
  # @return [String]
  def self.red_hi(language = "english")
    translator = Translator.new(language)
    ColorizedString[translator.hi].colorize(:red)
  end

end

require_relative 'hola/translator'

